def qweqwe(a: str, b: str) -> str:
    maxdlin = max(len(a), len(b))
    resultat = []
    a = a.zfill(maxdlin)
    b = b.zfill(maxdlin)
    for i in range(maxdlin):
        digit_a = int(a[i])
        digit_b = int(b[i])
        resultat.append(str(max(digit_a, digit_b)))
    return ''.join(resultat)


def lfsdfs(a: str, b: str) -> tuple:
    resultat = []
    for i in range(len(b) - 1, -1, -1):
        digit_b = int(b[i])
        current_result = []
        for j in range(len(a) - 1, -1, -1):
            digit_a = int(a[j])
            current_result.append(str(min(digit_a, digit_b)))
        current_result.reverse()
        resultat.append(''.join(current_result) + '0' * (len(b) - 1 - i))
    final_result = qweqw(resultat)
    return final_result, resultat
def qweqw(numbers: list) -> str:
    max_length = max(len(num) for num in numbers)
    padded_numbers = [num.zfill(max_length) for num in numbers]
    result = []
    for i in range(max_length):
        max_digit = '0'
        for num in padded_numbers:
            max_digit = max(max_digit, num[i])
        result.append(max_digit)
    return ''.join(result).lstrip('0')
def main():
    a = input().strip()
    b = input().strip()
    sum_result = qweqwe(a, b)
    umnosh, intermediate_results = lfsdfs(a, b)
    print(f"{sum_result} {umnosh}")
if __name__ == "__main__":
    main()