from collections import deque

def main():
    vvod = input().split()
    num, mul, kul = map(int, vvod)

    graphemull = [[] for _ in range(num + 1)]

    for _ in range(mul):
        aone, two = map(int, input().split())
        graphemull[aone].append(two)
        graphemull[two].append(aone)

    guardes = []
    for _ in range(kul):
        one, twp = map(int, input().split())
        guardes.append((one, twp))

    itog = set()

    for store, end in guardes:
        quqwq = deque()
        v = [False] * (num + 1)
        quqwq.append((store, 0))
        v[store] = True

        while quqwq:
            cur, dist = quqwq.popleft()
            itog.add(cur)

            if dist < end:
                for nei in graphemull[cur]:
                    if not v[nei]:
                        v[nei] = True
                        quqwq.append((nei, dist + 1))

    sort = sorted(itog)
    print(len(sort))
    if sort:
        print(" ".join(map(str, sort)))
    else:
        print()

if __name__ == "__main__":
    main()
